org.apache.cassandra.io.sstable

## Class IndexSummaryBuilder.ReadableBoundary

- java.lang.Object
- - org.apache.cassandra.io.sstable.IndexSummaryBuilder.ReadableBoundary

Enclosing class:
  IndexSummaryBuilder

    public static class IndexSummaryBuilder.ReadableBoundary
    extends java.lang.Object

Represents a boundary that is guaranteed fully readable in the summary, index file and data file. The key contained is the last key readable if the index and data files have been flushed to the stored lengths.

### Field Summary

Fields
`long` `dataLength`
`long` `entriesLength`
`long` `indexLength`
`DecoratedKey` `lastKey`
`int` `summaryCount`

### Constructor Summary

Constructors
Constructor and Description
`ReadableBoundary(DecoratedKey lastKey, long indexLength, long dataLength, int summaryCount, long entriesLength)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### lastKey

    public final DecoratedKey lastKey

#### indexLength

    public final long indexLength

#### dataLength

    public final long dataLength

#### summaryCount

    public final int summaryCount

#### entriesLength

    public final long entriesLength

### Constructor Detail

#### ReadableBoundary

    public ReadableBoundary(DecoratedKey lastKey,
                            long indexLength,
                            long dataLength,
                            int summaryCount,
                            long entriesLength)